PHP 7.3 reaches end of support in December 2021 and Adobe Commerce 2.3.x reaches end of support in April 2022. You may want to consider planning your upgrade now to Adobe Commerce 2.4.x and PHP 7.4.x to help maintain PCI compliance.

PHPStorm plugin

The PHPStorm plugin is a tool created by the community to optimize routine coding operations and improve the Adobe Commerce development experience. The plugin is compatible with the IntelliJ IDEA Ultimate and PhpStorm IDEs. The functionality includes Adobe Commerce specific code generation shortcuts, code inspections, autocomplete functionality for configuration files, MFTF tests, and RequireJS.

See the Code generation topic for more information.

The PHPStorm plugin includes shortcuts for Functional Testing, Require JS mapping, GraphQL, Plugin declaration inspection, code generation, and many more.

See the Adding Code Inspections topic for more information on static code analysis.